Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.users.dev
Class LoginCookieUtils

    java.lang.Object
      com.google.appengine.api.users.dev.LoginCookieUtils

    public final class LoginCookieUtils

extends java.lang.Object

`LoginCookieUtils` encapsulates the creation, deletion, and parsing of the fake authentication cookie used by the Development Appserver to simulate login.

Nested Class Summary
`static class` | `LoginCookieUtils.CookieData` `CookieData` encapsulates all of the data contained in the fake authentication cookie.

Field Summary
`static java.lang.String` | `COOKIE_NAME` The name of the authentication cookie.
`static java.lang.String` | `COOKIE_PATH` The URL path for the authentication cookie.

Method Summary
`static Cookie` | `createCookie(java.lang.String email, boolean isAdmin)` Create a fake authentication `Cookie` with the specified data.
`static java.lang.String` | `encodeEmailAsUserId(java.lang.String email)`
`static LoginCookieUtils.CookieData` | `getCookieData(HttpServletRequest req)` Parse the fake authentication `Cookie`.
`static void` | `removeCookie(HttpServletRequest req, HttpServletResponse resp)` Remove the fake authentication `Cookie`, if present.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COOKIE_PATH

    public static final java.lang.String COOKIE_PATH

  The URL path for the authentication cookie.

  See Also:
    Constant Field Values

### COOKIE_NAME

    public static final java.lang.String COOKIE_NAME

  The name of the authentication cookie.

  See Also:
    Constant Field Values

Method Detail

### createCookie

    public static Cookie createCookie(java.lang.String email,
                                      boolean isAdmin)

  Create a fake authentication `Cookie` with the specified data.

### removeCookie

    public static void removeCookie(HttpServletRequest req,
                                    HttpServletResponse resp)

  Remove the fake authentication `Cookie`, if present.

### getCookieData

    public static LoginCookieUtils.CookieData getCookieData(HttpServletRequest req)

  Parse the fake authentication `Cookie`.

  Returns:
    A parsed `LoginCookieUtils.CookieData`, or `null` if the user is not logged in.

### encodeEmailAsUserId

    public static java.lang.String encodeEmailAsUserId(java.lang.String email)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD